Re: Satpy Error


Christian Peters
 

Graham,

this composite needs special data which can't be derived form the standard MSG bands you load (VIS006, etc.).
I'm not sure this data is provided by Eumetcast, you need NWCSAF files, but I think only CMA, CT, CTTH is provided via EUMETCAST.


Regards,

Christian

Am 04.04.22 um 13:36 schrieb g-woolf@... via groups.io:

Hi

I wonder if someone can help me

I am trying to produce an image for MSG4 using the cloud_top_phase composite

I have managed to get it working for GOES16 and Himawari8 but I cant get it to work for MSG

I get the following error

_______-EPI______-202204040900-__']
[INFO: 2022-04-04 11:33:34 : hrit_msg] No IMPF configuration field found in prologue.
[DEBUG: 2022-04-04 11:33:34 : satpy.composites.config_loader] Looking for composites config file seviri.yaml
[DEBUG: 2022-04-04 11:33:34 : satpy.composites.config_loader] Looking for composites config file visir.yaml
Traceback (most recent call last):
  File "c:\Users\graha\miniconda3\envs\pytroll\lib\site-packages\satpy\scene.py", line 1266, in _update_dependency_tree
    self._dependency_tree.populate_with_keys(needed_datasets, query)
  File "c:\Users\graha\miniconda3\envs\pytroll\lib\site-packages\satpy\dependency_tree.py", line 262, in populate_with_keys
    raise MissingDependencies(unknown_datasets, "Unknown datasets:")
satpy.node.MissingDependencies: Unknown datasets: {DataQuery(name='cmic_phase'): {DataQuery(name='cmic_phase')}, DataQuery(name='cmic_phase_pal'): {DataQuery(name='cmic_phase_pal')}}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "T:\PythonScripts\WindowsScripts\MSG\MSG4CloudTopPhase.py", line 94, in <module>
    global_scene.load([composite])
  File "c:\Users\graha\miniconda3\envs\pytroll\lib\site-packages\satpy\scene.py", line 1255, in load
    self._update_dependency_tree(needed_datasets, query)
  File "c:\Users\graha\miniconda3\envs\pytroll\lib\site-packages\satpy\scene.py", line 1268, in _update_dependency_tree
    raise KeyError(str(err))
KeyError: "Unknown datasets: {DataQuery(name='cmic_phase'): {DataQuery(name='cmic_phase')}, DataQuery(name='cmic_phase_pal'): {DataQuery(name='cmic_phase_pal')}}"

I get a similar error for cloud_top_height too

I have attached the script I am using

Any help would be much appreciated

Regards

Graham

Join MSG-1@groups.io to automatically receive all group messages.